package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 清洁要求对象 app_clean_request
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
public class AppCleanRequest extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 清洁要求编号 */
    private Long cleanRequestId;

    /** 清洁物品编号 */
    @Excel(name = "清洁物品编号")
    private Long cleanItemsId;

    /** 服务档案编号 */
    @Excel(name = "服务档案编号")
    private Long serviceFileId;

    /** 清洁物品摆放位置 */
    @Excel(name = "清洁物品摆放位置")
    private String cleanRequestImage;

    /** 更换频率天 */
    @Excel(name = "更换频率天")
    private Long cleanRequestFrequencyDay;

    /** 更换频率次 */
    @Excel(name = "更换频率次")
    private Long cleanRequestFrequencyTimes;

    public void setCleanRequestId(Long cleanRequestId) 
    {
        this.cleanRequestId = cleanRequestId;
    }

    public Long getCleanRequestId() 
    {
        return cleanRequestId;
    }
    public void setCleanItemsId(Long cleanItemsId) 
    {
        this.cleanItemsId = cleanItemsId;
    }

    public Long getCleanItemsId() 
    {
        return cleanItemsId;
    }
    public void setServiceFileId(Long serviceFileId) 
    {
        this.serviceFileId = serviceFileId;
    }

    public Long getServiceFileId() 
    {
        return serviceFileId;
    }
    public void setCleanRequestImage(String cleanRequestImage) 
    {
        this.cleanRequestImage = cleanRequestImage;
    }

    public String getCleanRequestImage() 
    {
        return cleanRequestImage;
    }
    public void setCleanRequestFrequencyDay(Long cleanRequestFrequencyDay) 
    {
        this.cleanRequestFrequencyDay = cleanRequestFrequencyDay;
    }

    public Long getCleanRequestFrequencyDay() 
    {
        return cleanRequestFrequencyDay;
    }
    public void setCleanRequestFrequencyTimes(Long cleanRequestFrequencyTimes) 
    {
        this.cleanRequestFrequencyTimes = cleanRequestFrequencyTimes;
    }

    public Long getCleanRequestFrequencyTimes() 
    {
        return cleanRequestFrequencyTimes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cleanRequestId", getCleanRequestId())
            .append("cleanItemsId", getCleanItemsId())
            .append("serviceFileId", getServiceFileId())
            .append("cleanRequestImage", getCleanRequestImage())
            .append("cleanRequestFrequencyDay", getCleanRequestFrequencyDay())
            .append("cleanRequestFrequencyTimes", getCleanRequestFrequencyTimes())
            .append("remark", getRemark())
            .toString();
    }
}
